schovat načítání

WordPress Gutenberg

wordpress
8.6.2018

WordPress Gutenberg

Z uživatelského pohledu asi nejslabší článek WordPressu – editor – se brzy dočká zásadních změn. Očekává se, že se tak stane s vydáním WordPressu verze 5 (momentálně verze 4.9.6). Nejvýznamnější změnou bude to, že stávající editor bude nahrazen novým, podstatně robustnějším editorem, nazvaným Gutenberg.

Dosavadní editor je hodně jednoduchý a nepraktický, například pouhé vytvoření dvousloupcového layoutu je docela složité a především pro uživatele nepohodlné. Často se to řešilo nějakými shortcodes: [row] [col] Lorem [/col] [col] Ipsum [/col] [/row] což má očividné nevýhody.

Ani člověk znalý HTML, který si cokoli dokázal přetvořit ručně přímou editací HTML není spokojený. Psát vše v HTML je zdlouhavé a nepřehledné, rozhodně to není ideální řešení a samozřejmě pro běžného uživatele nereálné psát přímo kód.

Jediné uspokojivé řešení pak nabízejí až různé „Page Builder“ pluginy jako populární WP Bakery. Vzhledem k náročnosti vývoje takovýchto pluginů samozřejmě ale nejsou dostupné zdarma. Každopádně tyto pluginy se hojně nasazují protože zkrátka jiné rozumné řešení není.

V podobě editoru Gutenberg se ale nyní otevírá nová varianta. Vzhledem k tomu, že bude zdarma součástí WP (pravděpodobně součástí jako náhrada stávajícího editoru) s vysokou pravděpodobností nebude tak robustní jako placené „Page Builder“ pluginy. Ovšem pro malé a střední weby by mohl být dostačující a ke spokojenosti klient se ušetří za nákup licence k „Page Builder“ pluginu.

Gutenberg tedy pravděpodobně přijde s aktualizací WP na verzi 5 a pravděpodobně bude jeho součástí jako náhrada stávajícího editoru. Což bude hodně velký zásah do funkcionality WP a tudíž po aktualizaci může dojít k nekompatibilitě s tímto novým editorem. Pokud by se tak stalo, můžete se na mě obrátit pro řešení těchto problémů.
Případně pokud by někdo chtěl již nyní otestovat, zda bude jeho web dobře fungovat i po aktualizaci, je to možné, Gutenberg je již publikován, zatím pouze jako samostatný plugin. V nejhorším případě pak má být možné obnovit i ten stávající editor.